---
import Base from "../../layouts/Base.astro";
import { readItems } from "@directus/sdk";
import { getDirectusClient } from "../../utils/get-directus-client";

import Animation from "./Animation.astro";


export async function getStaticPaths() {
	const directus = await getDirectusClient();
	const response = await directus.request(readItems('configs', {
		fields: ["*"],
		limit: -1,
	}));


	let configs = response;

	return configs.map((config) => ({
		params: { id: config.id },
		props: { config },
	}));
}

const { config } = Astro.props;
---

<Base>
	<p>Название: {config.title}</p>
	<p>cpu: {config.cpu}</p>
	<p>ram: {config.ram}</p>
	<p>storages: {config.storage} </p>
	<p>Цена: {config.rent_price}</p>
	<p>Цена: {config.leasing_price}</p>

	<Animation />
</Base>

<style>
#cube {
	display: block;
	width: 200px;
	height: 200px;
	background: red;
}
</style>



